phrGetOutputFileName {phreeqc} | R Documentation

## Retrieve the name of the output file.

### Description

Retrieves the name of the output file. The default name is phreeqc.0.out.

### Usage

    phrGetOutputFileName()

### Value

The name of the output file as a string.

### References

ftp://brrftp.cr.usgs.gov/pub/charlton/iphreeqc/IPhreeqc.pdf

### See Also

Other Output: `phrGetOutputFileOn`, `phrGetOutputStringsOn`, `phrGetOutputStrings`, `phrSetOutputFileName`, `phrSetOutputFileOn`, `phrSetOutputStringsOn`

### Examples

    # This example equilibrates pure water with gypsum with the output file on.
    phrLoadDatabaseString(phreeqc.dat)
    phrSetOutputFileOn(TRUE)

    input <- vector(mode="character")
    input <- c(input, "SOLUTION 1 Pure water ")
    input <- c(input, "EQUILIBRIUM_PHASES 1  ")
    input <- c(input, "  Gypsum 0 10         ")

    if (is.null(phrRunString(input))) {
      output <- readLines(phrGetOutputFileName())
      unlink(phrGetOutputFileName())  # tidy up
    }

[Package phreeqc version 3.4.10 Index]